Debian Bug report logs - #634282
phaseshift: Please Build-Depends on libjpeg-dev, not libjpeg62-dev

version graph

Package: src:phaseshift; Maintainer for src:phaseshift is Debian Hamradio Maintainers <debian-hams@lists.debian.org>;

Reported by: Bill Allombert <ballombe@debian.org>

Date: Mon, 18 Jul 2011 12:54:05 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version phaseshift/0.40-13.2

Fixed in version phaseshift/0.40-13.3

Done: Didier Raboud <odyx@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Hamradio Maintainers <debian-hams@lists.debian.org>:
Bug#634282; Package src:phaseshift. (Mon, 18 Jul 2011 12:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <ballombe@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Hamradio Maintainers <debian-hams@lists.debian.org>. (Mon, 18 Jul 2011 12:54:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bill Allombert <ballombe@debian.org>
To: submit@bugs.debian.org
Subject: phaseshift: Please Build-Depends on libjpeg-dev, not libjpeg62-dev
Date: Mon, 18 Jul 2011 14:51:35 +0200
Source: phaseshift
Version: 0.40-13.2
Severity: important

Hello Debian Hamradio Maintainers,

We are transitionning from libjpeg62 to libjpeg8.
As mentionned on debian-devel-announce[1], please update phaseshift to
Build-Depends on libjpeg-dev instead of libjpeg62-dev.

The following Build-Depends was found:

phaseshift 	:Build-Depends: libjpeg62-dev 

[1] http://lists.debian.org/debian-devel-announce/2010/02/msg00006.html

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Hamradio Maintainers <debian-hams@lists.debian.org>:
Bug#634282; Package src:phaseshift. (Mon, 19 Sep 2011 15:30:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Hamradio Maintainers <debian-hams@lists.debian.org>. (Mon, 19 Sep 2011 15:30:36 GMT) Full text and rfc822 format available.

Message #10 received at 634282@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 634282@bugs.debian.org
Subject: build dependencies not installable anymore
Date: Mon, 19 Sep 2011 17:26:28 +0200
severity 634282 serious
tags 634282 + sid wheezy
thanks

looks like the package doesn't build anymore.

$ apt-get build-dep phaseshift
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages have unmet dependencies:
 libqt3-mt-dev : Depends: libjpeg-dev
                 Depends: libmng-dev (>= 1.0.3) but it is not going to be installed
E: Build-dependencies for phaseshift could not be satisfied.




Severity set to 'serious' from 'important' Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Mon, 19 Sep 2011 15:30:40 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Mon, 19 Sep 2011 15:30:40 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Hamradio Maintainers <debian-hams@lists.debian.org>:
Bug#634282; Package src:phaseshift. (Thu, 10 Nov 2011 00:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Hamradio Maintainers <debian-hams@lists.debian.org>. (Thu, 10 Nov 2011 00:57:09 GMT) Full text and rfc822 format available.

Message #19 received at 634282@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 578970@bugs.debian.org, 634282@bugs.debian.org
Subject: phaseshift: diff for NMU version 0.40-13.3
Date: Thu, 10 Nov 2011 01:53:01 +0100
[Message part 1 (text/plain, inline)]
tags 578970 + patch
tags 634282 + patch
thanks

Dear maintainer,

I've prepared an NMU for phaseshift (versioned as 0.40-13.3). The diff
is attached to this message.

Regards.
[phaseshift-0.40-13.3-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Thu, 10 Nov 2011 00:57:11 GMT) Full text and rfc822 format available.

Reply sent to Didier Raboud <odyx@debian.org>:
You have taken responsibility. (Thu, 10 Nov 2011 01:06:05 GMT) Full text and rfc822 format available.

Notification sent to Bill Allombert <ballombe@debian.org>:
Bug acknowledged by developer. (Thu, 10 Nov 2011 01:06:06 GMT) Full text and rfc822 format available.

Message #26 received at 634282-close@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 634282-close@bugs.debian.org
Subject: Bug#634282: fixed in phaseshift 0.40-13.3
Date: Thu, 10 Nov 2011 01:02:35 +0000
Source: phaseshift
Source-Version: 0.40-13.3

We believe that the bug you reported is fixed in the latest version of
phaseshift, which is due to be installed in the Debian FTP archive:

phaseshift_0.40-13.3.diff.gz
  to main/p/phaseshift/phaseshift_0.40-13.3.diff.gz
phaseshift_0.40-13.3.dsc
  to main/p/phaseshift/phaseshift_0.40-13.3.dsc
phaseshift_0.40-13.3_amd64.deb
  to main/p/phaseshift/phaseshift_0.40-13.3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 634282@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Didier Raboud <odyx@debian.org> (supplier of updated phaseshift package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 10 Nov 2011 01:39:44 +0100
Source: phaseshift
Binary: phaseshift
Architecture: source amd64
Version: 0.40-13.3
Distribution: unstable
Urgency: low
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Changed-By: Didier Raboud <odyx@debian.org>
Description: 
 phaseshift - PSK31 terminal for X11
Closes: 578970 634282
Changes: 
 phaseshift (0.40-13.3) unstable; urgency=low
 .
   * Non-maintainer upload.
 .
   [ Didier Raboud ]
   * Build-Depend on libjpeg-dev instead of libjpeg62-dev. Closes: #634282
   * Build-Depend on libgl1-mesa-dev instead of xlibmesa-gl-dev.
     Closes: #578970
   * Import patch from Ubuntu to fix the configure run.
 .
   [ Ubuntu - Matthias Klose ]
   * Fix C++ X libraries configure test, directly in configure. LP: #755937
Checksums-Sha1: 
 122ec0f88da11f5898025c096b68488c4353785d 1759 phaseshift_0.40-13.3.dsc
 68ea38613d25c335e91480e037102e75137d8c45 6806 phaseshift_0.40-13.3.diff.gz
 5f7fdaefd9116d2d332373e5a8d6a767f8020575 66680 phaseshift_0.40-13.3_amd64.deb
Checksums-Sha256: 
 6f433b3a14d2e73a029e39d7189c2464733768c4f4f75f036a1a1d30ccd5c02d 1759 phaseshift_0.40-13.3.dsc
 a8f43119b1f5e00cc143e5d8eee8ced7dfda9669453981f018cf22ba574ad366 6806 phaseshift_0.40-13.3.diff.gz
 ac34dd9ca2b4b76f0a10f53c348f39756d8eadf69ddcbf0c9177ed61dd56c6c9 66680 phaseshift_0.40-13.3_amd64.deb
Files: 
 f834ca80f501d38cb85ad39027c5f0d2 1759 hamradio optional phaseshift_0.40-13.3.dsc
 c663e093815c0237a0bf8813581353e4 6806 hamradio optional phaseshift_0.40-13.3.diff.gz
 0e66f8a648b0bd8036953cc79be0877d 66680 hamradio optional phaseshift_0.40-13.3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQGcBAEBCAAGBQJOux/UAAoJEIvPpx7KFjRVEFgL/RyZXiux+W57k4yf4gSCyzBh
LO61TKjIo3JRvWTN6X7MZ52EyHT41KH3BGOjjeLuZbIdRBtm5AMreGV723jqzTy+
lMGReN2uGNBDIBPMi8AuO8qSK6WJR7PnYAxVAoWsi3I7fjMbXkDZzFqSYmRPRXtE
VjNxXGaTChgb2tDGHHH+He48nCJI3Ro2RReqVCwTz3DritASa8rKDHjqDurbY9rJ
5Gg2t4f50Ewk8e7gFh0I/iobOsAAz5m4hIrQbifz7+9iueTx2O4RQcb/D7B8JEu8
Uiow109oLux5ExEbYwFNCQdhClQ/fC4LkFMKQMqqXc7/wA0CdajGY+Md6U0faqjW
gbhgLd93/LJvkXFLcRIKAKwE8cuZVC5VJlfxWBtoKR9Pp5Ms9+m9XTKehY0YoXuB
M8MvdW+0SzxcdDBcTvGMf96VylHpRZUKcP2Hk0RS7000lgJZjAYn5IRH8pePOmg1
lTLaKLRBRwIWcYPwiW6bmwRxn9ICRfxM1p72Kiqopg==
=UrTl
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 09:26:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:01:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.